<?php
/* ===================================================================================== */
/* SimulsEmprunt.php : Liste des simulations d'emprunt                                   */
/* Version   : 1.0           Date : 15-07-2002        Auteur : Jean-Louis BATAILLE       */
/* ===================================================================================== */
/* Modification : Mise au standard HTML                                                  */
/* Version   : 1.1           Date : 01-02-2003        Auteur : Jean-Louis BATAILLE       */
/* ===================================================================================== */
/* Modification : Compatibilit Mozilla                                                  */
/* Version   : 1.2           Date : 30-09-2003        Auteur : Jean-Louis BATAILLE       */
/* ===================================================================================== */
/* Modification : Compatibilit EasyPHP 1.7 (PHP 4.3.3)                                  */
/* Version   : 1.3           Date : 22-01-2004        Auteur : Jean-Louis BATAILLE       */
/* ===================================================================================== */
/* Modification : Migration vers EasyPHP DevServer 14.1 VC11                             */
/*               (Apache 2.4.7 VC11 | MySQL 5.6.15, PHP 5.5.8)                           */
/* Version   : 1.4           Date : 02/09/2015        Auteur : Jean-Louis BATAILLE       */
/* ===================================================================================== */
$version="1.4";

$titre="Liste des simulations d'emprunt";
session_start();
include("./Includes/Comptes_data.php");    //Constantes de l'application
include("./Includes/MySQL_functions.php"); //Fonctions d'accs  MySQL
$dblk = connect($MySQL_Host, $MySQL_User, $MySQL_Passw, $db);      //Connexion et Slection de la base de donnes

/* ---------------------------------------------------------------------------------------- */
/* Rcupration des simulations d'emprunt : $rsSimulsEmprunt                                */
/* ---------------------------------------------------------------------------------------- */
$sql="SELECT NumOrd,MntEmprunt,(TauxIntAnn+TauxAssAnn) as TauxGlobal,PerRbt,NbPer,";
$sql.="(MntRbtPer+MntAssPer) as MntRbtGlobal,((MntRbtPer+MntAssPer)*NbPer) as MntRbtTotal,";
$sql.="((MntRbtPer+MntAssPer)*NbPer-MntEmprunt) as MntCout,((MntRbtPer+MntAssPer)*NbPer/MntEmprunt*100) as TauxRbtEmprunt ";
$sql.="FROM SimulEmprunt ORDER BY NumOrd";
$rsSimulsEmprunt=send_sql($dblk, $sql);
?> 
<HTML>
<HEAD>
<TITLE>Simulations d'emprunt</TITLE>
<META name="description" content="Liste des simulations d'emprunt">
<META name="keywords" content="">
<LINK rel="stylesheet" type="TEXT/CSS" href="EasyStyle.css">
<script language="javascript">
</script>
</HEAD>
<BODY onLoad="top.document.title='<?php echo AddSlashes($titre); ?>';window.defaultStatus=top.document.title">
<table>
 <tr>
  <td class=tdleft>
   <a href="SimulEmprunt.php?PosSimEmp=N" title="Crer une simulation">Nouvelle simulation</a></td>
  <td class=tdleft>
   <a href="Help/SimulationEmprunt_hlp.htm" title="De quoi s'agit-il ?" target="_blank">Aide</a></td>
<?php include("./Includes/Aproposde.php"); ?></tr>    <!-- Bote de message A propos de -->
</table>
<hr size=2 width="100%"> <!------------------------------------------------------->
<!-- Dbut du formulaire ---------------------------------------------------------------------->
<table border=0 cellspacing=1 cellpadding=0>
 <tr>
  <th class=thcenter>&nbsp</th>
  <th class=thcenter>Code</th>
  <th class=thcenter>Emprunt</th>
  <th class=thcenter>Taux global</th>
  <th class=thcenter>Priode</th>
  <th class=thcenter>Dure</th>
  <th class=thcenter>Rbt pr</th>
  <th class=thcenter>Rbt total</th>
  <th class=thcenter>Cot</th>
  <th class=thcenter>Rbt/Empr</th>
 </tr>
<?php
$bgcolor="";$i=0;unset($SimulsEmprunt);
while($record=mysqli_fetch_array($rsSimulsEmprunt,MYSQLI_ASSOC)) {
 $bgcolor == "#99CCFF" ? $bgcolor="#CCFFFF" : $bgcolor="#99CCFF";$puce="puce_".$i; ?>
 <tr bgcolor="<?php echo $bgcolor; ?>">
  <td class=tdcenter><a href="SimulEmprunt.php?PosSimEmp=<?php echo $i; ?>"
	title="Accs aux caractristiques de la simulation"
	onMouseOver="document.images.<?php echo $puce; ?>.src='<?php echo $Pointrouge; ?>'"
	onMouseOut="document.images.<?php echo $puce; ?>.src='<?php echo $Pointbleu; ?>'">
	<img id="<?php echo $puce; ?>" border=0 width=12 height=12 src="<?php echo $Pointbleu; ?>" name="<?php echo $puce; ?>" alt="Pointbleu"></a></td><?php
 foreach($record as $fld=>$field) {
  switch ($fld) {
   case "MntEmprunt" :echo "<td class=tdright>",number_format($field,'2','.',' '),"</td>";break;
   case "TauxGlobal" :echo "<td class=tdright>",number_format($field,'3','.',' ')," %</td>";break;
   case "NbPer" :echo "<td class=tdright>",number_format($field,'0','.',' '),"</td>";break;
   case "MntRbtGlobal":echo "<td class=tdright>",number_format($field,'2','.',' '),"</td>";break;
   case "MntRbtTotal" :echo "<td class=tdright>",number_format($field,'2','.',' '),"</td>";break;
   case "MntCout" :echo "<td class=tdright>",number_format($field,'2','.',' '),"</td>";break;
   case "TauxRbtEmprunt":echo "<td class=tdright>",number_format($field,'0','.',' ')," %</td>";break;
   case "PerRbt" :
    switch ($field) {
     case 12 : $Periode="mois";break;
     case 4  : $Periode="trimestre";break;
     case 2  : $Periode="semestre";break;
     case 1  : $Periode="anne";break;
     default :
    }
    echo "<td class=tdleft>",$Periode,"</td>";break;
   default :echo "<td class=tdleft>",$field,"</td>";break;
  }
 }
 echo "</tr>";$SimulsEmprunt[$i++]=$record['NumOrd'];
} ?>
</table>
<?php if (!isset($SimulsEmprunt)) { $SimulsEmprunt=Array();echo "<p>Aucune simulation d'emprunt enregistre</p>"; }
   $_SESSION['SimulsEmprunt']=$SimulsEmprunt; ?>
<!-- Fin du formulaire ------------------------------------------------------------------->
</BODY>
</HTML>
